org.apache.hc.client5.http.async.methods

## Class BasicHttpRequests

- java.lang.Object
- - org.apache.hc.client5.http.async.methods.BasicHttpRequests

- Deprecated.
  Use `BasicRequestBuilder`.

      @Deprecated
      public final class BasicHttpRequests
      extends Object

  Common HTTP methods using `BasicHttpRequest` as a HTTP request message representation.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicHttpRequests()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `create(org.apache.hc.core5.http.Method method, org.apache.hc.core5.http.HttpHost host, String path)` Deprecated. Creates a request object of the exact subclass of `BasicHttpRequest`.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `create(org.apache.hc.core5.http.Method method, String uri)` Deprecated. Creates a request object of the exact subclass of `BasicHttpRequest`.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `create(org.apache.hc.core5.http.Method method, URI uri)` Deprecated. Creates a request object of the exact subclass of `BasicHttpRequest`.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `create(String method, String uri)` Deprecated. Creates a new BasicHttpRequest for the given `method` and `String` URI.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `create(String method, URI uri)` Deprecated. Creates a new BasicHttpRequest for the given `method` and `URI`.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `delete(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `delete(String uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `delete(URI uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `get(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `get(String uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `get(URI uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `head(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `head(String uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `head(URI uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `options(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `options(String uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `options(URI uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `patch(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `patch(String uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `patch(URI uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `post(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `post(String uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `post(URI uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `put(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `put(String uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `put(URI uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `trace(org.apache.hc.core5.http.HttpHost host, String path)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `trace(String uri)` Deprecated.
    `static org.apache.hc.core5.http.message.BasicHttpRequest` | `trace(URI uri)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicHttpRequests

          public BasicHttpRequests()

      Deprecated.

  - ### Method Detail

    - #### create

          public static org.apache.hc.core5.http.message.BasicHttpRequest create(String method,
                                                                 String uri)

      Deprecated.
      Creates a new BasicHttpRequest for the given `method` and `String` URI.
      Parameters:
        `method` - A method supported by this class.
        `uri` - a non-null request string URI.
      Returns:
        A new BasicHttpRequest.

    - #### create

          public static org.apache.hc.core5.http.message.BasicHttpRequest create(String method,
                                                                 URI uri)

      Deprecated.
      Creates a new BasicHttpRequest for the given `method` and `URI`.
      Parameters:
        `method` - A method supported by this class.
        `uri` - a non-null request URI.
      Returns:
        A new BasicHttpRequest.

    - #### delete

          public static org.apache.hc.core5.http.message.BasicHttpRequest delete(String uri)

      Deprecated.

    - #### delete

          public static org.apache.hc.core5.http.message.BasicHttpRequest delete(URI uri)

      Deprecated.

    - #### delete

          public static org.apache.hc.core5.http.message.BasicHttpRequest delete(org.apache.hc.core5.http.HttpHost host,
                                                                 String path)

      Deprecated.

    - #### get

          public static org.apache.hc.core5.http.message.BasicHttpRequest get(String uri)

      Deprecated.

    - #### get

          public static org.apache.hc.core5.http.message.BasicHttpRequest get(URI uri)

      Deprecated.

    - #### get

          public static org.apache.hc.core5.http.message.BasicHttpRequest get(org.apache.hc.core5.http.HttpHost host,
                                                              String path)

      Deprecated.

    - #### head

          public static org.apache.hc.core5.http.message.BasicHttpRequest head(String uri)

      Deprecated.

    - #### head

          public static org.apache.hc.core5.http.message.BasicHttpRequest head(URI uri)

      Deprecated.

    - #### head

          public static org.apache.hc.core5.http.message.BasicHttpRequest head(org.apache.hc.core5.http.HttpHost host,
                                                               String path)

      Deprecated.

    - #### options

          public static org.apache.hc.core5.http.message.BasicHttpRequest options(String uri)

      Deprecated.

    - #### options

          public static org.apache.hc.core5.http.message.BasicHttpRequest options(URI uri)

      Deprecated.

    - #### options

          public static org.apache.hc.core5.http.message.BasicHttpRequest options(org.apache.hc.core5.http.HttpHost host,
                                                                  String path)

      Deprecated.

    - #### patch

          public static org.apache.hc.core5.http.message.BasicHttpRequest patch(String uri)

      Deprecated.

    - #### patch

          public static org.apache.hc.core5.http.message.BasicHttpRequest patch(URI uri)

      Deprecated.

    - #### patch

          public static org.apache.hc.core5.http.message.BasicHttpRequest patch(org.apache.hc.core5.http.HttpHost host,
                                                                String path)

      Deprecated.

    - #### post

          public static org.apache.hc.core5.http.message.BasicHttpRequest post(String uri)

      Deprecated.

    - #### post

          public static org.apache.hc.core5.http.message.BasicHttpRequest post(URI uri)

      Deprecated.

    - #### post

          public static org.apache.hc.core5.http.message.BasicHttpRequest post(org.apache.hc.core5.http.HttpHost host,
                                                               String path)

      Deprecated.

    - #### put

          public static org.apache.hc.core5.http.message.BasicHttpRequest put(String uri)

      Deprecated.

    - #### put

          public static org.apache.hc.core5.http.message.BasicHttpRequest put(URI uri)

      Deprecated.

    - #### put

          public static org.apache.hc.core5.http.message.BasicHttpRequest put(org.apache.hc.core5.http.HttpHost host,
                                                              String path)

      Deprecated.

    - #### trace

          public static org.apache.hc.core5.http.message.BasicHttpRequest trace(String uri)

      Deprecated.

    - #### trace

          public static org.apache.hc.core5.http.message.BasicHttpRequest trace(URI uri)

      Deprecated.

    - #### trace

          public static org.apache.hc.core5.http.message.BasicHttpRequest trace(org.apache.hc.core5.http.HttpHost host,
                                                                String path)

      Deprecated.

    - #### create

          public static org.apache.hc.core5.http.message.BasicHttpRequest create(org.apache.hc.core5.http.Method method,
                                                                 String uri)

      Deprecated.
      Creates a request object of the exact subclass of `BasicHttpRequest`.
      Parameters:
        `uri` - a non-null URI String.
      Returns:
        a new subclass of BasicHttpRequest

    - #### create

          public static org.apache.hc.core5.http.message.BasicHttpRequest create(org.apache.hc.core5.http.Method method,
                                                                 URI uri)

      Deprecated.
      Creates a request object of the exact subclass of `BasicHttpRequest`.
      Parameters:
        `uri` - a non-null URI.
      Returns:
        a new subclass of BasicHttpRequest

    - #### create

          public static org.apache.hc.core5.http.message.BasicHttpRequest create(org.apache.hc.core5.http.Method method,
                                                                 org.apache.hc.core5.http.HttpHost host,
                                                                 String path)

      Deprecated.
      Creates a request object of the exact subclass of `BasicHttpRequest`.
      Parameters:
        `host` - HTTP host.
        `path` - request path.
      Returns:
        a new subclass of BasicHttpRequest

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.